﻿using BinaryDad.Notes.Models;
using BinaryDad.Notes.Services;
using Microsoft.AspNetCore.Mvc;

namespace BinaryDad.Notes.Controllers;

public class HomeController : Controller
{
    private readonly INoteService noteService;

    public HomeController(INoteService noteService)
    {
        this.noteService = noteService;
    }

    [Route("{noteName?}")]
    public IActionResult Index(string? noteName)
    {
        var model = new ContentModel
        {
            Text = noteService.GetText(noteName),
            NoteNames = noteService.GetNoteNames()
        };

        return View(model);
    }
}
